/**
 * zPS Timed Event Handling demo script
 * @author Craig Graham
 * @file timerTest.js
 */

var o=new Object();
o.name="o";
o.count=10;

function test(v)
{
	Console.print("Timer fired for object:"+name+Console.lf);
	Console.print(" parameter="+v+Console.lf);
	if(count)
		count--;
	Console.print(" count="+count+Console.lf);
}

Console.print("Setting timeouts..."+Console.lf);
// Create a couple of "proper" timers that we can delete when we want to...
var myTimer1=new Timer(0,o,"test('OneShot')",2000);
var myTimer2=new Timer(1,o,"test('Repeat')",500);

// this fires a repeating timer at the object "myTimer" every 2 seconds.
// The prototype Timer object will be pushed onto the with() stack before running the string.
// The problem with this approach is that you cann't actually stop the timer
// again...
Timer.setInterval("test('pow')",1000); 

// this fires a one-shot timer at the object "o" after 4 seconds.
// "o" will be pushed onto the with() stack before running the string.
Timer.setTimeout("test('zap')",1500,o);

Console.print("Done"+Console.lf);

// sit in a loop, doing nothing...

Console.print("o.count="+o.count+Console.lf);

while(o.count);

Console.print("Deleting timers.."+Console.lf);


delete myTimer1;
delete myTimer2;

Console.print("Done"+Console.lf);

while(1);
