/**
 * zPocketScript QT GUI interface test script
 * @author Craig Graham
 * @file qtTest.js
 */

// create some color's
var red=new QColor(255,0,0)
var green=new QColor(0,255,0);
var blue=new QColor(0,0,255)
// Create our QT application
var app=new QPEApplication();
// Create the main window for it...
var mainWindow=new QMainWindow();

// This handler is invoked for the QT mousePressEvent on our two widgets...
function click(e)
{
	if(this.toggle)
		this.setBackgroundColor(red);
	else
		this.setBackgroundColor(blue);
	this.toggle^=1;
	mainWindow.setCaption("clicked on "+this.name+" ("+e.x()+","+e.y()+")");
	this.setGeometry(e.globalX()-this.width()/2,e.globalY()-this.height()/2,this.width(),this.height());
}

// Set the application's window title
mainWindow.setCaption("zPS Test");
mainWindow.setBackgroundColor(green); // set the main windows background color
// Create a new widget on the main window....
mainWindow.w1=new QWidget(mainWindow)
mainWindow.w1.setBackgroundColor(red);    // it's red
mainWindow.w1.setGeometry(100,100,50,50); // where it is in the window
mainWindow.w1.mousePressEvent=click;      // setup an even handler so that mouse (stylus) press's call the function "click"
mainWindow.w1.name="w1"
mainWindow.w1.toggle=0;
// Create another new widget on the main window....
mainWindow.w2=new QWidget(mainWindow)
mainWindow.w2.setBackgroundColor(red);    // it's red
mainWindow.w2.setGeometry(100,200,50,80); // where it is in the window
mainWindow.w2.mousePressEvent=click;      // setup an even handler so that mouse (stylus) press's call the function "click"
mainWindow.w2.name="w2"
mainWindow.w2.toggle=0;

// Show the main window
app.showMainWidget(mainWindow);
// and run the application....
// you won't be able to debug once you do this 
// unless you've already set some breakpoints in
// your event handlers...
app.exec();

// print a message to the console to say we've finished
Console.print("done"+Console.lf);

return 7;
